#
# spec file for package gcal
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gcal
Version:        4
Release:        6.3
Summary:        A Program for Printing Calendars
License:        GPL-3.0+
Group:          Productivity/Office/Organizers
Url:            http://www.gnu.org/software/gcal/
Source0:        ftp://ftp.gnu.org/gnu/gcal/gcal-%{version}.tar.xz
Source1:        ftp://ftp.gnu.org/gnu/gcal/gcal-%{version}.tar.xz.sig
Source2:        %{name}.keyring
Patch0:         gcal-3.01-longerstrings.patch
Patch1:         gcal-3.6-cleanup.patch
BuildRequires:  ncurses-devel
BuildRequires:  xz
Requires(post): %{install_info_prereq}
Requires(preun): %{install_info_prereq}

%description
Gcal is a program for printing calendars.  Gcal displays a calendar for
a month or a year, eternal holiday lists, and fixed date lists.  The
program correctly omits the dates that were skipped when the current
Gregorian calendar replaced the earlier Julian calendar.

%lang_package

%prep
%setup -q
%patch0
%patch1

%build
%configure
make %{?_smp_mflags} "CFLAGS=%{optflags}"

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
%find_lang %{name}

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%preun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%files
%defattr(-,root,root)
%doc BUGS LIMITATIONS README TODO AUTHORS COPYING NEWS THANKS
%doc data/gcalrc doc/GREG-REFORM
%{_datadir}/gcal
%{_bindir}/gcal
%{_bindir}/gcal2txt
%{_bindir}/tcal
%{_bindir}/txt2gcal
%{_infodir}/gcal.info.gz

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Sat Jul 11 2015 mpluskal@suse.com
- Update to version 4
  * Remove duplicate for All Saints Day for DE_BW and DE_RP.
  * Spell the name of Norfolk Island correctly.
  * Spell the name of Guy Fawkes correctly -- Fawkes, not Fawke.
  * Correct the name of Canada's Northwest Territories
  * Improve the computation of the Dutch Queen's and King's days
  * Name of german federal state Saarland corrected.
  * Name of swiss federal state Basel-Landschaft corrected.
  * Alignment error for --date-format US fixed.
  * Fix build on FreeBSD.
  * Use _NL_TIME_FIRST_WEEKDAY to get correct defaults for -s N
    option.
* Thu Apr  2 2015 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- Add gpg signature
- Update info dependencies
- Remove unrecongized/useless configure flags
* Wed Dec 18 2013 p.drouand@gmail.com
- Update to version 3.6.3
  * Remove duplicate for All Saints Day for DE_BY.
  * Inherit some portability fixes from gnulib.
- Changes from 3.6.2
  * Report correctly the Christmas day in Canada.
- Changes from 3.6.1
  * Include All Saints' day in HU
  * Fix build issue under solaris 10 / studio 12.1
  * Unicode support
  * Make --help a synonym for --long-help
- Remove gcal-stdio.h.patch; fixed on upstream release
- Add xz requirement to support tarball format
- Add an Url tag
- Remove redundant %%clean section
- Don't package ChangeLog in documentation; empty file
- Add a language subpackage
* Thu Aug 16 2012 hvogel@suse.com
- Cleanup specfile
* Sun Jul 22 2012 aj@suse.de
- Fix build with missing gets declaration (glibc 2.16)
* Tue Nov 16 2010 hvogel@novell.com
- Update to version 3.6
  * Work properly when the -1 timezone is specified
  * Use ISO 3166-2 region codes
  * Distribute BUGS LIMITATIONS doc/GREG-REFORM
  * Fix NLS support in gcal, gcal2txt, tcal, txt2gcal
  * Change source license to GPLv3+
  * Do not include Henry Spencer V8 regex library
  * Change documentation license to FDL 1.3+
  * Use the start of the week day specified by the locale
- Add some missing includes in lor.h
  gcal-3.6-cleanup.patch
- Get rid of obsolete patches
  * gcal-bavarian-holiday.patch
  * gcal-3.01-relsymlinks.patch
  * gcal-3.01-gcc_twice_variable_use.patch
  * gcal-3.01-po_encoding.patch
  * gcal-3.01-glibc210.patch
* Thu Jun 11 2009 coolo@novell.com
- fix build with glibc 2.10
* Mon Apr  2 2007 rguenther@suse.de
- Add ncurses-devel BuildRequires
* Tue Feb 27 2007 mfabian@suse.de
- Bugzilla #248859: fix part of the problem (for all translated
  messages) by regenerating the .mo files.
  The encoding problem still exists for all msgids which are
  non-ASCII *and* which are untranslated or fuzzy.
* Mon Feb 19 2007 uli@suse.de
- extended string buffers from 1k to 2k (necessary if you have a
  very long list of countries for -q)
* Tue Jan 16 2007 kssingvo@suse.de
- beautified specfile, and renamed diff to patch filenames
- fixed compiler problem with double use of same variable
- fixed issue with charset encoding of files.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Feb 29 2004 ro@suse.de
- remove dir files in info directories
* Thu Feb 26 2004 hmacht@suse.de
- building as non-root user
- fixing filelist
* Thu Jan 22 2004 schwab@suse.de
- Put info dir in the same directory as the info files.
* Tue Jul  1 2003 coolo@suse.de
- possibly it's all my fault
* Tue Jul  1 2003 coolo@suse.de
- fixing build
* Mon Jun 16 2003 kssingvo@suse.de
- added %%dir /usr/share/info/de
* Tue May 27 2003 ro@suse.de
- remove unpackaged files from buildroot
* Thu Apr 24 2003 ro@suse.de
- fix install_info --delete call and move from preun to postun
* Mon Feb 10 2003 mmj@suse.de
- Use %%install_info macros [#23409]
- Use BuildRoot:
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Wed Jun 19 2002 ke@suse.de
- spec file:
  - Use RPM macros more consistently.
  - Move ./configure to the %%build section.
- Make sure to display bavarian related holidays properly; apply patch
  provided by Klaus Singvogel [# 15955].
* Thu Nov 30 2000 bjacke@suse.de
- updated to 3.01
* Fri Feb 25 2000 kukuk@suse.de
- Move /usr/{info,man} -> /usr/share/{info,man}
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep  9 1999 bs@suse.de
- fixed call of Check at the end of %%install section
* Sun Sep 14 1997 Karl Eichwalder  <ke@suse.de>
- gcal 2.40: initial package
